Subject: Re: bug#75520: Circular code or data can hang Emacs unquittably

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jan 2025 18:32:40 +0200

> Date: Sun, 12 Jan 2025 21:57:55 -0800
> Cc: Eli Zaretskii <[email-masked]>, Mattias Engdegård
>  <[email-masked]>, Stefan Monnier <[email-masked]>,
>  Andrea Corallo <[email-masked]>, [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2025-01-12 13:46, Pip Cet wrote:
> > This seems to be a common problem.  I did a quick git grep
> > 'while.*CONSP':
> 
> Yes, I did something similar in 2017; see, for example, commit 
> 14dd9101ec4838f75addf25bf6b06ef33f8a7e97, which fixes 'length', 
> 'member', 'memq', etc. I don't remember how carefully I audited the code 
> for the problem way back then. Either I missed several potential issues, 
> or the code has changed since then, or both.

Seems like we have a consensus here that this should be fixed.

But can we please have at least one test for every place where we fix
this kind of bug?

Thanks.